Package com.io7m.idstore.user_client.api

# Class IdUClientException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.error_codes.IdException
com.io7m.idstore.user_client.api.IdUClientException

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<IdErrorCode>`, `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`, `Serializable`

public final class IdUClientException extends IdException
The type of client exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUClientException(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, Optional<UUID> inRequestId)`
  Construct an exception.
  `IdUClientException(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, Optional<UUID> inRequestId)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdUClientException`
  `ofError(IdUResponseError error)`
  Transform an error response to an exception.
  `static IdUClientException`
  `ofException(Throwable ex)`
  Construct an exception from an existing exception.
  `Optional<UUID>`
  `requestId()`

  ### Methods inherited from class com.io7m.idstore.error_codes.IdException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### IdUClientException

    public IdUClientException(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, Optional<UUID> inRequestId)
    Construct an exception.
    Parameters:
      `message` - The message
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inRequestId` - The request ID

  - ### IdUClientException

    public IdUClientException(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, Optional<UUID> inRequestId)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inRequestId` - The request ID

- ## Method Details

  - ### requestId

    public Optional<UUID> requestId()
    Returns:
      The ID associated with the request, if the server returned one

  - ### ofError

    public static IdUClientException ofError(IdUResponseError error)
    Transform an error response to an exception.
    Parameters:
      `error` - The error
    Returns:
      The exception

  - ### ofException

    public static IdUClientException ofException(Throwable ex)
    Construct an exception from an existing exception.
    Parameters:
      `ex` - The cause
    Returns:
      The new exception